%global momorel 1 

Summary: dmraid (Device-mapper RAID tool and library)
Name: dmraid
Version: 1.0.0.rc14
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Base
URL: http://people.redhat.com/heinzm/sw/dmraid
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: device-mapper >= 1.02.02, libselinux-devel, libsepol-devel, zlib-devel
Requires: kpartx
Source: ftp://people.redhat.com/heinzm/sw/dmraid/src/dmraid-%{version}.tar.bz2

%description
DMRAID supports RAID device discovery, RAID set activation and display of
properties for ATARAID on Linux >= 2.4 using device-mapper.

%package -n dmraid-devel
Summary: Development libraries and headers for dmraid.
Group: Development/Libraries

%description -n dmraid-devel
dmraid-devel provides a library interface for RAID device discovery,
RAID set activation and display of properties for ATARAID volumes.

%prep
%setup -q -n dmraid/%{version}

%build
%configure --prefix=%{buildroot}/usr --sbindir=%{buildroot}/sbin --libdir=%{buildroot}/%{_libdir} --mandir=%{buildroot}/%{_mandir} --includedir=%{buildroot}/%{_includedir} --enable-debug --enable-libselinux --enable-libsepol --enable-static_link
make DESTDIR=%{buildroot}
mv tools/dmraid tools/dmraid.static
make clean
%configure --prefix=%{buildroot}/usr --sbindir=%{buildroot}/sbin --libdir=%{buildroot}/%{_libdir} --mandir=%{buildroot}/%{_mandir} --includedir=%{buildroot}/%{_includedir} --enable-debug --enable-libselinux --enable-libsepol --disable-static_link

make -C lib DESTDIR=$RPM_BUILD_ROOT libdmraid.so

%install
rm -rf %{buildroot}
install -m 755 -d %{buildroot}{%{_libdir},/sbin,%{_sbindir},%{_bindir},%{_libdir},%{_includedir}/dmraid/,/var/lock/dmraid}
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 tools/dmraid.static %{buildroot}/sbin/dmraid.static
install -m 644 include/dmraid/*.h %{buildroot}%{_includedir}/dmraid/

# install the static library
install -m 755 lib/libdmraid.a %{buildroot}%{_libdir}

# if requested, install the dso
install -m 755 lib/libdmraid.so \
	%{buildroot}%{_libdir}/libdmraid.so.%{version}
(cd %{buildroot}/%{_libdir} ; ln -sf libdmraid.so.%{version} libdmraid.so)

rm -f %{buildroot}%{_libdir}/libdmraid.a

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG CREDITS KNOWN_BUGS LICENSE LICENSE_GPL LICENSE_LGPL README TODO doc/dmraid_design.txt
/%{_mandir}/man8/*
/sbin/*
%{_libdir}/libdmraid.so.*
/var/lock/dmraid

%files -n dmraid-devel
%defattr(-,root,root)
%dir %{_includedir}/dmraid
%{_includedir}/dmraid/*
%{_libdir}/libdmraid.so

%changelog
* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0.rc14-1m)
- update dmraid-1.0.0.rc14

* Tue Dec 12 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.0.0.rc13-1m)
- sync with dmraid-1.0.0.rc13-1.fc6

* Wed Oct 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0.rc9-3m)
- maki modosi

* Wed Oct 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0.rc13-1m)
- update 1.0.0.rc13

* Wed May 24 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- fix build. new "install" command fail with -o, -g option.

* Wed Dec 28 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.0.rc9-1m)
- import from fc-devel

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Dec  3 2005 Peter Jones <pjones@redhat.com> 1.0.0.rc9-FC5_4
- rebuild for device-mapper-1.02.02-2

* Fri Dec  2 2005 Peter Jones <pjones@redhat.com> 1.0.0.rc9-FC5_3
- rebuild for device-mapper-1.02.02-1

* Thu Nov 10 2005 Peter Jones <pjones@redhat.com> 1.0.0.rc9-FC5_2
- update to 1.0.0.rc9
- make "make install" do the right thing with the DSO
- eliminate duplicate definitions in the headers
- export more symbols in the DSO
- add api calls to retrieve dm tables
- fix DESTDIR for 'make install' 
- add api calls to identify degraded devices
- remove several arch excludes

* Sat Oct 15 2005 Florian La Roche <laroche@redhat.com>
- add -lselinux -lsepol for new device-mapper deps

* Fri May 20 2005 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0.rc8-FC4_2
- specfile change to build static and dynamic binray into one package
- rebuilt

* Thu May 19 2005 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0.rc8-FC4_1
- nv.c: fixed stripe size
- sil.c: avoid incarnation_no in name creation, because the Windows
         driver changes it every time
- added --ignorelocking option to avoid taking out locks in early boot
  where no read/write access to /var is given

* Wed Mar 16 2005 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 15 2005 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0.rc6.1-4_FC4
- VIA metadata format handler
- added RAID10 to lsi metadata format handler
- "dmraid -rD": file device size into {devicename}_{formatname}.size
- "dmraid -tay": pretty print multi-line tables ala "dmsetup table"
- "dmraid -l": display supported RAID levels + manual update
- _sil_read() used LOG_NOTICE rather than LOG_INFO in order to
  avoid messages about valid metadata areas being displayed
  during "dmraid -vay".
- isw, sil filed metadata offset on "-r -D" in sectors rather than in bytes.
- isw needed dev_sort() to sort RAID devices in sets correctly.
- pdc metadata format handler name creation. Lead to
  wrong RAID set grouping logic in some configurations.
- pdc RAID1 size calculation fixed (rc6.1)
- dos.c: partition table code fixes by Paul Moore
- _free_dev_pointers(): fixed potential OOB error
- hpt37x_check: deal with raid_disks = 1 in mirror sets
- pdc_check: status & 0x80 doesn't always show a failed device;
  removed that check for now. Status definitions needed.
- sil addition of RAID sets to global list of sets
- sil spare device memory leak
- group_set(): removal of RAID set in case of error
- hpt37x: handle total_secs > device size
- allow -p with -f
- enhanced error message by checking target type against list of
  registered target types

* Fri Jan 21 2005 Alasdair Kergon <agk@redhat.com> 1.0.0.rc5f-2
- Rebuild to pick up new libdevmapper.

* Fri Nov 26 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0.rc5f
- specfile cleanup

* Tue Aug 20 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0-rc4-pre1
- Removed make flag after fixing make.tmpl.in

* Tue Aug 18 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0-rc3
- Added make flag to prevent make 3.80 from looping infinitely

* Thu Jun 17 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0-pre1
- Created
